Bug 947036 - Review Request: wmvolman - Window Maker Volume Manager
Summary: Review Request: wmvolman - Window Maker Volume Manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-01 09:54 UTC by Alexey I. Froloff
Modified: 2013-04-11 10:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-11 10:11:20 UTC
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Alexey I. Froloff 2013-04-01 09:54:54 UTC
Spec URL: http://raorn.fedorapeople.org/packages/wmvolman/wmvolman.spec
SRPM URL: http://raorn.fedorapeople.org/packages/wmvolman/wmvolman-2.0-1.fc18.src.rpm
Description:

wmVolMan is a small volume manager for Window Maker. For now
it only displays and allows mounting and unmounting removable
media and hotpluggable devices that are added to or removed
from the system.

Fedora Account System Username: raorn

Comment 1 Peter Lemenkov 2013-04-02 07:33:14 UTC
Fails to build in Koji:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=5197074

Comment 3 Peter Lemenkov 2013-04-02 10:02:01 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent except quite typical bogus grammar-related messages and another one message regarding missing docs.

work ~/Desktop: rpmlint wmvolman-*
wmvolman.src: W: spelling-error %description -l en_US unmounting -> mounting, miscounting, unstinting
wmvolman.src: W: spelling-error %description -l en_US hotpluggable -> hospitable
wmvolman.x86_64: W: spelling-error %description -l en_US unmounting -> mounting, miscounting, unstinting
wmvolman.x86_64: W: spelling-error %description -l en_US hotpluggable -> hospitable
wmvolman.x86_64: W: no-manual-page-for-binary wmvolman
3 packages and 0 specfiles checked; 0 errors, 5 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv2 or later, as stated in the sources).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum wmvolman-2.0.1.tar.gz*
625c2911fd296dd4ce021f7902e64162544d75bd948145fc015cca8546b728ad  wmvolman-2.0.1.tar.gz
625c2911fd296dd4ce021f7902e64162544d75bd948145fc015cca8546b728ad  wmvolman-2.0.1.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.  See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in some of the dynamic linker's default paths.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 No need to provide a %{name}.desktop file since it's not a GUI application which is intended to be started by a user.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


APPROVED.

Comment 4 Alexey I. Froloff 2013-04-02 10:09:02 UTC
New Package SCM Request
=======================
Package Name: wmvolman
Short Description: Window Maker Volume Manager
Owners: raorn
Branches: f18 f19

Comment 5 Gwyn Ciesla 2013-04-02 12:33:11 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-04-02 14:03:40 UTC
wmvolman-2.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wmvolman-2.0.1-1.fc18

Comment 7 Fedora Update System 2013-04-03 04:40:01 UTC
wmvolman-2.0.1-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 8 Fedora Update System 2013-04-11 10:11:21 UTC
wmvolman-2.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.